<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.DmaUnfilledWaterMapper">

    <resultMap id="dmaUnfilledWaterMap" type="com.tofly.xrtygis.entity.DmaUnfilledWater">
        <id property="id" column="ID"/>
        <result property="writeDate" column="WRITE_DATE"/>
        <result property="dmaId" column="DMA_ID"/>
        <result property="dmaName" column="DMA_NAME"/>
        <result property="dmaCode" column="DMA_CODE"/>
        <result property="dmaLevel" column="DMA_LEVEL"/>
        <result property="billingWaterVolume" column="BILLING_WATER_VOLUME"/>
        <result property="freeWaterVolume" column="FREE_WATER_VOLUME"/>
        <result property="outflowWaterVolume" column="OUTFLOW_WATER_VOLUME"/>
        <result property="lossWaterVolume" column="LOSS_WATER_VOLUME"/>
        <result property="otherWaterVolume" column="OTHER_WATER_VOLUME"/>
        <result property="measureVolume" column="MEASURE_VOLUME"/>
        <result property="notMeasureVolume" column="NOT_MEASURE_VOLUME"/>
        <result property="freeMeasureVolume" column="FREE_MEASURE_VOLUME"/>
        <result property="notFreeMeasureVolume" column="NOT_FREE_MEASURE_VOLUME"/>
        <result property="obviousOutflowVolume" column="OBVIOUS_OUTFLOW_VOLUME"/>
        <result property="darkOutflowVolume" column="DARK_OUTFLOW_VOLUME"/>
        <result property="backgroundOutflowVolume" column="BACKGROUND_OUTFLOW_VOLUME"/>
        <result property="otherOutflowVolume" column="OTHER_OUTFLOW_VOLUME"/>
        <result property="userLossVolume" column="USER_LOSS_VOLUME"/>
        <result property="notUserLossVolume" column="NOT_USER_LOSS_VOLUME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="updateUserName" column="UPDATE_USER"
                     select="com.tofly.xrtygis.mapper.IFileMapper.getUserName"/>
        <association property="dmaLevelName" column="DMA_LEVEL" select="com.tofly.xrtygis.mapper.LeakAssessmentMapper.getDmaLevleName"/>
    </resultMap>
</mapper>
